Bug 150053 - RISC OS archive (spark format) collides with Matroska
RISC OS archive (spark format) collides with Matroska
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-01 17:59 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.16-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-21 08:08:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-03-01 17:59:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050227 Firefox/1.0.1 Fedora/1.0.1-2

Description of problem:
RISC OS archive (spark format) collides with Matroska, and is given preference. It also seems like it would collide with terminfo, but I haven't checked that.

# Acorn archive formats (Disaster prone simpleton, m91dps@ecs.ox.ac.uk)
# I can't create either SPARK or ArcFS archives so I have not tested this stuff
# [GRR:  the original entries collide with ARC, above; replaced with combined
#  version (not tested)]
#0      byte            0x1a            RISC OS archive
#>1     string          archive         (ArcFS format)
#0      string          \032archive     RISC OS archive (ArcFS format)
0       string          \032            RISC OS archive (spark format)
0       string          Archive\000     RISC OS archive (ArcFS format)


#------------------------------------------------------------------------------
# terminfo:  file(1) magic for terminfo
#
# XXX - byte order for screen images?
#
0       string          \032\001        Compiled terminfo entry
0       short           0433            Curses screen image
0       short           0434            Curses screen image



#------------------------------------------------------------------------------
# matroska:  file(1) magic for Matroska files
#
# See http://www.matroska.org/
#

# EBML id:
0               belong          0x1a45dfa3
# DocType id:
>5              beshort         0x4282
# DocType contents:
>>8             string          matroska        Matroska data


Version-Release number of selected component (if applicable):
file-4.13-1

How reproducible:
Always

Steps to Reproduce:
1. Execute file on a Matroska file

Actual Results:  It says RISC OS archive (spark format)

Expected Results:  It should say Matroska data

Additional info:
Comment 1 Radek Vokal 2005-03-07 07:47:59 EST
Honestly, I have no clue how to create an RISC OS archive in spark
format. If you can help me with this and create a test file I'll be
more than glad. 
Comment 2 Ivan Gyurdiev 2005-03-07 15:01:50 EST
... me neither. I just have a Matroska file.
Comment 3 Radek Vokal 2005-11-21 08:08:02 EST
I believe this is fixed in rawhide

rvokal@garfield file$ file *.mkv
Matrix.Reloaded.Trailer.mkv: Matroska data
vsshort-aac.mkv:             Matroska data
vsshort-mp3.mkv:             Matroska data
rvokal@garfield file$ rpm -q file
file-4.16-2

Note You need to log in before you can comment on or make changes to this bug.